#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow),
    rectangle(new Rectangle)
{
    ui->setupUi(this);
    ui->horizontalSlider->setMaximum(1000);
    ui->horizontalSlider_2->setMaximum(1000);
    ui->horizontalSlider_2->setValue(ui->horizontalSlider_2->maximum());
    connect(ui->horizontalSlider,SIGNAL(valueChanged(int)),rectangle,SLOT(resizeRectangle(int)));
    connect(ui->horizontalSlider_2,SIGNAL(valueChanged(int)),rectangle,SLOT(resizeWindow(int)));
}

MainWindow::~MainWindow()
{
    delete ui;
}
void MainWindow::closeEvent(QCloseEvent *)
{
    rectangle->close();
}
